<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class InputsActivitiesCostsSeed extends Model
{
    protected $table = 'inputsActivitiesCostsSeeds';

    protected $fillable = [
        'seeds_name',
        'seeds_source',
        'description',
        'harvestDurationMonths',
        'status',
        'created_by',
    ];

    public function creator()
{
    return $this->belongsTo(User::class, 'created_by');
}
 public function creditsDeductables()
    {
        return $this->hasMany(CreditsDeductable::class, 'seed_id');
    }
    public $timestamps = true;
}
